<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@1F13=59</action>
    </script>
  </cheat>

  <cheat desc="Infinite Energy">
    <script state="run">
      <action>maincpu.pb@080C=10</action>
    </script>
  </cheat>

  <cheat desc="Invincibility">
    <script state="run">
      <action>maincpu.pb@1012=FF</action>
    </script>
  </cheat>

  <cheat desc="Infinite Hearts">
    <script state="run">
      <action>maincpu.pb@0819=99</action>
    </script>
  </cheat>

  <cheat desc="Finish this Stage Now!">
    <script state="on">
      <action>maincpu.pb@080F=01</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire"> <comment>Turn it OFF on the name entry screen</comment>
    <script state="run">
      <action>maincpu.pw@18F4=0000|(maincpu.pw@18F4 BAND ~1010)</action>
    </script>
  </cheat>

  <cheat desc="Select Weapon">
    <parameter>
      <item value="0x00">Whip</item>
      <item value="0x01">Hammer</item>
      <item value="0x02">Sword</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1010=param</action>
    </script>
  </cheat>

  <cheat desc="Select Item Window">
    <parameter>
      <item value="0x00">Empty</item>
      <item value="0x01">Bomb</item>
      <item value="0x02">Fire</item>
      <item value="0x03">Boomerang</item>
      <item value="0x04">Cross</item>
      <item value="0x05">Clock</item>
    </parameter>
    <script state="run">
      <action>maincpu.pb@1E99=param</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Level"> <comment>Enable before you start the game for the best effect</comment>
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@0806==00)">maincpu.pb@0806=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Sound Test Timer Stop"> <comment>[PL2 Start]Next Code</comment>
    <script state="run">
      <action>maincpu.pb@18CC=FF</action>
    </script>
  </cheat>

  <cheat desc="Sound Test">
    <parameter min="1" max="83" step="1"/>
    <script state="change">
      <action>maincpu.pb@1890=param+10</action>
      <action>maincpu.pw@18DE=1891</action>
      <action>maincpu.pw@18E0=1890</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
